NestedCredentialHandler (Apache Tomcat 8.5.83 API Documentation)

Package org.apache.catalina.realm

## Class NestedCredentialHandler

- java.lang.Object
- - org.apache.catalina.realm.NestedCredentialHandler

- All Implemented Interfaces:
    `CredentialHandler`

      public class NestedCredentialHandler
      extends java.lang.Object
      implements CredentialHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NestedCredentialHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addCredentialHandler​(CredentialHandler handler)` |
    `CredentialHandler[]` | `getCredentialHandlers()` |
    `boolean` | `matches​(java.lang.String inputCredentials, java.lang.String storedCredentials)` | Checks to see if the input credentials match the stored credentials
    `java.lang.String` | `mutate​(java.lang.String inputCredentials)` | The input credentials will be passed to the first nested `CredentialHandler`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NestedCredentialHandler

          public NestedCredentialHandler()

  - ### Method Detail

    - #### matches

          public boolean matches​(java.lang.String inputCredentials,
                                 java.lang.String storedCredentials)

      Description copied from interface: `CredentialHandler`
      Checks to see if the input credentials match the stored credentials
      Specified by:
        `matches` in interface `CredentialHandler`
      Parameters:
        `inputCredentials` - User provided credentials
        `storedCredentials` - Credentials stored in the `Realm`
      Returns:
        `true` if the inputCredentials match the storedCredentials, otherwise `false`

    - #### mutate

          public java.lang.String mutate​(java.lang.String inputCredentials)

      The input credentials will be passed to the first nested `CredentialHandler`. If no nested `CredentialHandler` are configured then `null` will be returned. Generates the equivalent stored credentials for the given input credentials.
      Specified by:
        `mutate` in interface `CredentialHandler`
      Parameters:
        `inputCredentials` - User provided credentials
      Returns:
        The equivalent stored credentials for the given input credentials

    - #### addCredentialHandler

          public void addCredentialHandler​(CredentialHandler handler)

    - #### getCredentialHandlers

          public CredentialHandler[] getCredentialHandlers()